Setting the control bar layout on a Spark Application container in Flex 4

In a previous example, “Adding a control bar to a Spark Application container in Flex 4″, we saw how you could add a control bar to a Spark Application container in Flex 4 by setting the controlBarContent property.

The following example shows how you can change the layout direction of a control bar in a Spark Application container in Flex 4 by setting the controlBarLayout property.

Full code after the jump.

The following example(s) require Flash Player 10 and the Adobe Flex 4 SDK. To download the Adobe Flash Builder 4 trial, see www.adobe.com/products/flex/. To download the latest nightly build of the Flex 4 SDK, see opensource.adobe.com/wiki/display/flexsdk/Download+Flex+4.

For more information on getting started with Flex 4 and Flash Builder 4, see the official Adobe Flex Team blog.

<?xml version="1.0" encoding="utf-8"?>
<!-- http://blog.flexexamples.com/2009/09/02/setting-the-control-bar-layout-on-a-spark-application-container-in-flex-4/ -->
<s:Application name="Spark_Application_controlBarLayout_test"
        xmlns:fx="http://ns.adobe.com/mxml/2009"
        xmlns:s="library://ns.adobe.com/flex/spark"
        xmlns:mx="library://ns.adobe.com/flex/halo">
    <s:controlBarContent>
        <s:Button label="Button 1" />
        <s:Button label="Button 2" />
        <s:Button label="Button 3" />
        <s:Button label="Button 4" />
    </s:controlBarContent>
    <s:controlBarLayout>
        <s:VerticalLayout paddingLeft="10" paddingRight="10" paddingTop="10" paddingBottom="10" />
    </s:controlBarLayout>
 
    <s:RichEditableText id="sdkVer"
            editable="false" selectable="false"
            fontSize="96"
            horizontalCenter="0" verticalCenter="0"
            creationComplete="sdkVer.text = mx_internal::VERSION;" />
 
</s:Application>

This entry is based on a beta version of the Flex 4 SDK and therefore is very likely to change as development of the Flex SDK continues. The API can (and will) change causing examples to possibly not compile in newer versions of the Flex 4 SDK.